unit fPatientFlagMulti;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, fAutoSz, ORCtrls, ExtCtrls, ComCtrls;

type
  TfrmFlags = class(TfrmAutoSz)
    lstFlags: TORListBox;
    lblFlags: TLabel;
    Splitter1: TSplitter;
    Panel1: TPanel;
    btnClose: TButton;
    memFlags: TRichEdit;
    procedure lstFlagsClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormShow(Sender: TObject);
  private
   public
    { Public declarations }
  end;

procedure ShowFlags;

implementation

uses uCore,uOrPtf,ORFn;
{$R *.dfm}

procedure ShowFlags;
var
  frmFlags: TfrmFlags;
begin
  frmFlags := TFrmFlags.Create(Nil);
  try
    if HasActiveFlg(frmFlags.lstFlags.Items,Patient.DFN) then
    begin
      ResizeFormToFont(TForm(frmFlags));
      frmFlags.ShowModal;
    end
  finally
    frmFlags.Release;
  end;
end;

procedure TfrmFlags.lstFlagsClick(Sender: TObject);
var
  FlagArray: TStringList;
begin
  if lstFlags.ItemIndex >= 0 then
  begin
    FlagArray := TStringList.Create;
    GetActiveFlg(FlagArray, Patient.DFN, lstFlags.ItemID);
    if FlagArray.Count > 0 then
      memFlags.Lines.Assign(FlagArray);
  end;
end;

procedure TfrmFlags.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmFlags.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_ESCAPE then
    Close;
end;


procedure TfrmFlags.FormShow(Sender: TObject);
begin
  inherited;
  if lstFlags.Items.Count > 0 then
  begin
    lstFlags.ItemIndex := 0;
    lstFlagsClick(Self);
    ActiveControl := lstFlags;
  end;
end;

end.
