unit uOrPtf;   //PRF

interface

uses SysUtils, Windows, Classes, Forms, ORFn, ORNet, uCore;

function HasActiveFlg(FlagList: TStrings; const PTDFN: string): boolean;
procedure GetActiveFlg(FlagInfo: TStrings; const PTDFN, FlagRecordID: string);
procedure ClearFlag;

implementation

function HasActiveFlg(FlagList: TStrings; const PTDFN: string): boolean;
begin
  Result := False;
  CallV('ORPRF HASFLG',[PTDFN]);
  if RPCBrokerV.Results.Count > 0 then
  begin
    FlagList.Assign(RPCBrokerV.Results);
    Result := True;
  end;
end;

procedure GetActiveFlg(FlagInfo: TStrings; const PTDFN, FlagRecordID: string);
begin
  CallV('ORPRF GETFLG', [PTDFN,FlagRecordID]);
  if RPCBrokerV.Results.Count > 0 then
    FlagInfo.Assign(RPCBrokerV.Results);
end;

procedure ClearFlag;
begin
  sCallV('ORPRF CLEAR',[nil]);
end;

end.
